## mephemeris 1.0-2

=== debian/changelog ===
mephemeris (1.0-2) stable; urgency=low

  New build process for Extras repository.

 -- Darren Enns <dmenns1@gmail.com>  Thu, 26 Feb 2009 12:59:24 +0000
