=== debian/control ===
Source: mephemeris
Section: user/other
Priority: extra
Maintainer: Darren Enns <dmenns1@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: mephemeris
Architecture: all
Depends: python2.5,python2.5-cairo,python2.5-gpsbt,python2.5-gtk2,python2.5-hildon,pyephem
Description: Maemo-based Astronomical Ephemeris
