=== debian/rules ===
--- 
+++ 
@@ -56,16 +56,10 @@
 	cp -a "mephemerissrc/usr/lib/mephemeris/doc/COPYING" "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/doc/COPYING"
 	mkdir -p "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/doc/"
 	cp -a "mephemerissrc/usr/lib/mephemeris/doc/README" "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/doc/README"
-	mkdir -p "$(CURDIR)/debian/mephemeris/usr/share/icons/26x26/hildon/"
-	cp -a "mephemerissrc/usr/share/icons/26x26/hildon/mgedcom.png" "$(CURDIR)/debian/mephemeris/usr/share/icons/26x26/hildon/mgedcom.png"
 	mkdir -p "$(CURDIR)/debian/mephemeris/usr/bin/"
 	cp -a "mephemerissrc/usr/bin/mephemeris" "$(CURDIR)/debian/mephemeris/usr/bin/mephemeris"
 	mkdir -p "$(CURDIR)/debian/mephemeris/usr/share/pixmaps/"
 	cp -a "mephemerissrc/usr/share/pixmaps/mephemeris.png" "$(CURDIR)/debian/mephemeris/usr/share/pixmaps/mephemeris.png"
-	mkdir -p "$(CURDIR)/debian/mephemeris/usr/share/icons/40x40/hildon/"
-	cp -a "mephemerissrc/usr/share/icons/40x40/hildon/mgedcom.png" "$(CURDIR)/debian/mephemeris/usr/share/icons/40x40/hildon/mgedcom.png"
-	mkdir -p "$(CURDIR)/debian/mephemeris/usr/share/icons/scalable/hildon/"
-	cp -a "mephemerissrc/usr/share/icons/scalable/hildon/mgedcom.png" "$(CURDIR)/debian/mephemeris/usr/share/icons/scalable/hildon/mgedcom.png"
 	mkdir -p "$(CURDIR)/debian/mephemeris/usr/share/applications/hildon/"
 	cp -a "mephemerissrc/usr/share/applications/hildon/mephemeris.desktop" "$(CURDIR)/debian/mephemeris/usr/share/applications/hildon/mephemeris.desktop"
 	mkdir -p "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/"
