## mephemeris 1.25-1

=== debian/changelog ===
mephemeris (1.25-1) stable; urgency=low

  New Features, mostly with the Moon.

 -- Darren Enns <dmenns1@gmail.com>  Fri, 10 Apr 2009 15:40:10 +0000
