=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/mephemeris" install
	mkdir -p "$(CURDIR)/debian/mephemeris"

#	mkdir -p "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/"
	cp -a "mephemeris/usr/lib/mephemeris/mephemeris.ini" "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/mephemeris.ini"
	mkdir -p "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/"
	cp -a "mephemeris/usr/lib/mephemeris/mephemeris.jpg" "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/mephemeris.jpg"
	mkdir -p "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/"
	cp -a "mephemeris/usr/lib/mephemeris/mephemeris.py" "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/mephemeris.py"
	mkdir -p "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/doc/"
	cp -a "mephemeris/usr/lib/mephemeris/doc/.README.swp" "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/doc/.README.swp"
	mkdir -p "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/doc/"
	cp -a "mephemeris/usr/lib/mephemeris/doc/COPYING" "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/doc/COPYING"
	mkdir -p "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/doc/"
	cp -a "mephemeris/usr/lib/mephemeris/doc/README" "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/doc/README"
	mkdir -p "$(CURDIR)/debian/mephemeris/usr/bin/"
	cp -a "mephemeris/usr/bin/mephemeris" "$(CURDIR)/debian/mephemeris/usr/bin/mephemeris"
	mkdir -p "$(CURDIR)/debian/mephemeris/usr/share/pixmaps/"
	cp -a "mephemeris/usr/share/pixmaps/mephemeris.png" "$(CURDIR)/debian/mephemeris/usr/share/pixmaps/mephemeris.png"
	mkdir -p "$(CURDIR)/debian/mephemeris/usr/share/applications/hildon/"
	cp -a "mephemeris/usr/share/applications/hildon/mephemeris.desktop" "$(CURDIR)/debian/mephemeris/usr/share/applications/hildon/mephemeris.desktop"
	mkdir -p "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/"
	cp -a "mephemeris/usr/lib/mephemeris/data/259232640512.gif" "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/259232640512.gif"
	mkdir -p "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/"
	cp -a "mephemeris/usr/lib/mephemeris/data/clementine.png" "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/clementine.png"
	mkdir -p "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/"
	cp -a "mephemeris/usr/lib/mephemeris/data/clementine_moon.gif" "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/clementine_moon.gif"
	mkdir -p "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/"
	cp -a "mephemeris/usr/lib/mephemeris/data/constellation.dat" "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/constellation.dat"
	mkdir -p "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/"
	cp -a "mephemeris/usr/lib/mephemeris/data/constellations.dat" "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/constellations.dat"
	mkdir -p "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/"
	cp -a "mephemeris/usr/lib/mephemeris/data/lunar100.dat" "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/lunar100.dat"
	mkdir -p "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/"
	cp -a "mephemeris/usr/lib/mephemeris/data/messier.dat" "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/messier.dat"
	mkdir -p "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/"
	cp -a "mephemeris/usr/lib/mephemeris/data/messier_url.dat" "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/messier_url.dat"
	mkdir -p "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/"
	cp -a "mephemeris/usr/lib/mephemeris/data/milkyway.dat" "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/milkyway.dat"
	mkdir -p "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/"
	cp -a "mephemeris/usr/lib/mephemeris/data/misc_url.dat" "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/misc_url.dat"
	mkdir -p "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/"
	cp -a "mephemeris/usr/lib/mephemeris/data/moon.png" "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/moon.png"
	mkdir -p "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/"
	cp -a "mephemeris/usr/lib/mephemeris/data/moon_clementine_flat.png" "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/moon_clementine_flat.png"
	mkdir -p "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/"
	cp -a "mephemeris/usr/lib/mephemeris/data/moon_clementine_sphere.png" "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/moon_clementine_sphere.png"
	mkdir -p "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/"
	cp -a "mephemeris/usr/lib/mephemeris/data/names.dat" "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/names.dat"
	mkdir -p "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/"
	cp -a "mephemeris/usr/lib/mephemeris/data/sat.gif" "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/sat.gif"
	mkdir -p "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/"
	cp -a "mephemeris/usr/lib/mephemeris/data/stars.dat" "$(CURDIR)/debian/mephemeris/usr/lib/mephemeris/data/stars.dat"

	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
